Bug 488371 - syslog full of "kernel: ata2: EH pending after 5 tries, giving up" and "kernel: ata2: EH complete"
syslog full of "kernel: ata2: EH pending after 5 tries, giving up" and "kerne...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 17:34 EST by Arne Woerner
Modified: 2009-04-02 13:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: 2.6.27.21-170.2.56.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 13:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lspci -nn output... (2.22 KB, text/plain)
2009-03-05 02:41 EST, Arne Woerner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 11615 None None None Never

  None (edit)
Description Arne Woerner 2009-03-03 17:34:54 EST
Description of problem:
I updated today to kernel-2.6.27.19-170.2.35.fc10.x86_64 at 16:38:23Z.
After I rebooted I found after some time, that /var/log/messages is full of those messages, although I have no device at ata2.

It might be this bug, although it is known since yesterday or earlier:
http://bugzilla.kernel.org/show_bug.cgi?id=11615

Version-Release number of selected component (if applicable):
2.6.27.19-170.2.35.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. install kernel-2.6.27.19-170.2.35.fc10.x86_64
2. reboot
3. look at /var/log/messages
  
Actual results:
Mar  3 17:41:49 vaako kernel: ata2: EH pending after 5 tries, giving up
Mar  3 17:41:49 vaako kernel: ata2: EH complete
again and again...

Expected results:
Mar  1 22:25:14 vaako kernel: ata2: SATA max UDMA/133 cmd 0xe80 ctl 0xe00 bmdma 
0xc008 irq 22
Mar  1 22:25:14 vaako kernel: ata2: SATA link down (SStatus 0 SControl 300)

Additional info:
Comment 1 Arne Woerner 2009-03-04 02:42:22 EST
the problem is resolved by a codefix in http://bugzilla.kernel.org/show_bug.cgi?id=11615
(if it is the problem, that i have)...
-Arne
Comment 2 Chuck Ebbert 2009-03-04 21:11:21 EST
Can you post the output of 'lspci -nn' to see if your machine is one of the affected ones?
Comment 3 Arne Woerner 2009-03-05 02:41:10 EST
Created attachment 334103 [details]
lspci -nn output...
Comment 4 Arne Woerner 2009-03-05 02:42:07 EST
(In reply to comment #2)
> Can you post the output of 'lspci -nn' to see if your machine is one of the
> affected ones?
>
yes, i can... :-) -Arne
Comment 5 Arne Woerner 2009-03-05 03:18:37 EST
workaround:
i added these lines to /etc/rsyslog before the /var/log/messages line...
:msg, isequal, "ata2: EH complete" ~
:msg, isequal, "ata2: EH pending after 5 tries, giving up" ~

seems to stop the fast growth of /var/log/messages... *wag tail* :-)

but it might still be slower, although i do not really feel it...

-Arne
Comment 6 Chuck Ebbert 2009-03-05 17:22:32 EST
Fixed in 2.6.27.19-170.2.40
Comment 7 John Ellson 2009-03-09 19:50:42 EDT
Messages still occuring from kernel-2.6.29-0.53.rc7.fc10.x86_64 from koji.

Apparently not fixed.

$ lspci -nn
00:00.0 Host bridge [0600]: nVidia Corporation nForce3 250Gb Host Bridge [10de:00e1] (rev a1)
00:01.0 ISA bridge [0601]: nVidia Corporation nForce3 250Gb LPC Bridge [10de:00e0] (rev a2)
00:01.1 SMBus [0c05]: nVidia Corporation nForce 250Gb PCI System Management [10de:00e4] (rev a1)
00:02.0 USB Controller [0c03]: nVidia Corporation CK8S USB Controller [10de:00e7] (rev a1)
00:02.1 USB Controller [0c03]: nVidia Corporation CK8S USB Controller [10de:00e7] (rev a1)
00:02.2 USB Controller [0c03]: nVidia Corporation nForce3 EHCI USB 2.0 Controller [10de:00e8] (rev a2)
00:05.0 Bridge [0680]: nVidia Corporation CK8S Ethernet Controller [10de:00df] (rev a2)
00:06.0 Multimedia audio controller [0401]: nVidia Corporation nForce3 250Gb AC'97 Audio Controller [10de:00ea] (rev a1)
00:08.0 IDE interface [0101]: nVidia Corporation CK8S Parallel ATA Controller (v2.5) [10de:00e5] (rev a2)
00:09.0 IDE interface [0101]: nVidia Corporation nForce3 Serial ATA Controller 2 [10de:00ee] (rev a2)
00:0a.0 IDE interface [0101]: nVidia Corporation nForce3 Serial ATA Controller [10de:00e3] (rev a2)
00:0b.0 PCI bridge [0604]: nVidia Corporation nForce3 250Gb AGP Host to PCI Bridge [10de:00e2] (rev a2)
00:0e.0 PCI bridge [0604]: nVidia Corporation nForce3 250Gb PCI-to-PCI Bridge [10de:00ed] (rev a2)
00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV43 [GeForce 6600 GT] [10de:00f1] (rev a2)
02:08.0 PCI bridge [0604]: Digital Equipment Corporation DECchip 21152 [1011:0024] (rev 03)
02:09.0 Multimedia video controller [0400]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [14f1:8800] (rev 05)
02:09.2 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [MPEG Port] [14f1:8802] (rev 05)
02:0c.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller [1106:3044] (rev 46)
02:0d.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet [10ec:8169] (rev 10)
03:04.0 Ethernet controller [0200]: Intel Corporation 82557/8/9/0/1 Ethernet Pro 100 [8086:1229] (rev 05)
03:05.0 Ethernet controller [0200]: Intel Corporation 82557/8/9/0/1 Ethernet Pro 100 [8086:1229] (rev 05)
Comment 8 Marcela Mašláňová 2009-03-21 10:14:51 EDT
lspci -nn
00:00.0 Host bridge [0600]: nVidia Corporation nForce3 250Gb Host Bridge [10de:00e1] (rev a1)
00:01.0 ISA bridge [0601]: nVidia Corporation nForce3 250Gb LPC Bridge [10de:00e0] (rev a2)
00:01.1 SMBus [0c05]: nVidia Corporation nForce 250Gb PCI System Management [10de:00e4] (rev a1)
00:02.0 USB Controller [0c03]: nVidia Corporation CK8S USB Controller [10de:00e7] (rev a1)
00:02.1 USB Controller [0c03]: nVidia Corporation CK8S USB Controller [10de:00e7] (rev a1)
00:02.2 USB Controller [0c03]: nVidia Corporation nForce3 EHCI USB 2.0 Controller [10de:00e8] (rev a2)
00:05.0 Bridge [0680]: nVidia Corporation CK8S Ethernet Controller [10de:00df] (rev a2)
00:08.0 IDE interface [0101]: nVidia Corporation CK8S Parallel ATA Controller (v2.5) [10de:00e5] (rev a2)
00:0a.0 IDE interface [0101]: nVidia Corporation nForce3 Serial ATA Controller [10de:00e3] (rev a2)
00:0b.0 PCI bridge [0604]: nVidia Corporation nForce3 250Gb AGP Host to PCI Bridge [10de:00e2] (rev a2)
00:0e.0 PCI bridge [0604]: nVidia Corporation nForce3 250Gb PCI-to-PCI Bridge [10de:00ed] (rev a2)
00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV350 AP [Radeon 9600] [1002:4150]
01:00.1 Display controller [0380]: ATI Technologies Inc RV350 AP [Radeon 9600] (Secondary) [1002:4170]
02:09.0 Multimedia audio controller [0401]: Ensoniq ES1371 [AudioPCI-97] [1274:1371] (rev 08)

kernel-2.6.27.19-170.2.35.fc10.i686 have still this problem
Comment 9 Fedora Update System 2009-03-24 18:56:28 EDT
kernel-2.6.27.21-170.2.56.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.21-170.2.56.fc10
Comment 10 Fedora Update System 2009-03-25 12:05:13 EDT
kernel-2.6.27.21-170.2.56.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3008
Comment 11 Fedora Update System 2009-04-02 13:19:41 EDT
kernel-2.6.27.21-170.2.56.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.